# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Jul  7 06:32:40 2022
# ------------------------------------------------

package:
  name: bottleneck
  version: 1.3.5
source:
  sha256: 2c0d27afe45351f6f421893362621804fa7dea14fe29a78eaa52d4323f646de7
  url: https://pypi.io/packages/source/b/bottleneck/Bottleneck-1.3.5.tar.gz
build:
  number: '0'
  script: /opt/conda/conda-bld/bottleneck_1657175564434/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . -vv
  string: py39h7deecbd_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2022.4.26 h06a4308_0
    - certifi 2022.6.15 py39h06a4308_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py39h7f8727e_0
    - mkl_fft 1.3.1 py39hd3c417c_0
    - mkl_random 1.2.2 py39h51133e4_0
    - ncurses 6.3 h5eee18b_3
    - numpy 1.16.6 py39h7895c89_4
    - numpy-base 1.16.6 py39h73d599e_4
    - openssl 1.1.1p h5eee18b_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.12 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - libgcc-ng >=11.2.0
    - numpy >=1.16.6,<2.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - python -c "import bottleneck; bottleneck.test()"
  imports:
    - bottleneck
    - bottleneck.move
    - bottleneck.nonreduce
    - bottleneck.nonreduce_axis
    - bottleneck.reduce
    - bottleneck.slow
    - bottleneck.tests
  requires:
    - pip
    - pytest
about:
  description: 'Bottleneck is a collection of fast NumPy array functions written in

    Cython.

    '
  dev_url: https://github.com/pydata/bottleneck
  doc_url: https://bottleneck.readthedocs.io
  home: https://github.com/pydata/bottleneck
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Fast NumPy array functions written in Cython.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 9ed0c038-55e6-48c0-8a89-97bd67ac4a5a
  recipe-maintainers:
    - jakirkham
    - msarahan
    - ocefpaf
    - qwhelan
    - wesm
  remote_url: git@github.com:AnacondaRecipes/bottleneck-feedstock.git
  sha: 7b9ba3edc9242cae2f53c3e7ec652ec6edd16fd7
